Name:                osgi-core
Version:             7.0.0
Release:             1
Summary:             OSGi Core API
License:             ASL 2.0
URL:                 https://www.osgi.org
Source0:             https://osgi.org/download/r7/osgi.core-%{version}.jar
BuildRequires:       maven-local mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.osgi:osgi.annotation)
BuildArch:           noarch

%description
OSGi Core, Interfaces and Classes for use in compiling bundles.

%package javadoc
Summary:             API documentation for %{name}

%description javadoc
This package provides %{summary}.

%prep
%setup -q -c
rm -r org
find -name '*.class' -delete
mkdir -p src/main/{java,resources}
mv OSGI-OPT/src/org src/main/java/
mv META-INF/maven/org.osgi/osgi.core/pom.xml .
%pom_xpath_inject pom:project '
<packaging>bundle</packaging>
<properties>
  <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
</properties>
<build>
  <plugins>
    <plugin>
      <groupId>org.apache.felix</groupId>
      <artifactId>maven-bundle-plugin</artifactId>
      <extensions>true</extensions>
      <configuration>
        <instructions>
          <Bundle-Name>${project.artifactId}</Bundle-Name>
          <Bundle-SymbolicName>${project.artifactId}</Bundle-SymbolicName>
        </instructions>
      </configuration>
    </plugin>
  </plugins>
</build>'
%pom_add_dep org.osgi:osgi.annotation::provided

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc about.html

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Aug 13 2020 leiju <leiju4@huawei.com> - 7.0.0-1
- Update from 6.0.0 to 7.0.0

* Fri Dec 06 2019 yangjian<yangjian79@huawei.com> - 6.0.0-8
- Package init
